
///////////////////////////////////////////////////////////////////////////////  
//文件名称: WinProjectAssetList.xaml
//文件描述: 项目资产清单
//创 建 者: xls
//创建日期: 2018/5/23 23:33:28
//版 本 号：1.0.0.0
////////////////////////////////////////////////////////////////////////////////

using System;
using System.Windows;
using Com.FirmLib.UI.Common;
using Com.FirmLib.UI.Manufacturer.Model;
using FWindSoft.Wpf;
using FWindSoft.Wpf.Controls;

namespace Com.FirmLib.UI.Manufacturer
{
    /// <summary>
    /// WinProjectAssetList.xaml 的交互逻辑
    /// </summary>
    public partial class WinProjectAssetList : NChildWindow
    {
        private VmProjectAssetList m_Vm;
        public WinProjectAssetList():this(new VmProjectAssetList())
        {
          
        }
        public WinProjectAssetList(VmProjectAssetList vm)
        {
            InitializeComponent();         
            this.m_Vm = vm;
            this.m_Vm.SetRefView(this);
            this.DataContext = this.m_Vm;
        }

        protected override void LoadData(LoadParameter parameter)
        {
            if (parameter == null)
            {
                this.Title = "资产清单";
            }
            else
            {
                ProjectAssetShowItem currentParameter = parameter.Parameter as ProjectAssetShowItem;
                if (currentParameter != null)
                {
                    this.Title = string.Format("{0}资产清单", currentParameter.ProjectLocalName);
                }
            }
            TryCatchWrapper.Handled(() => this.m_Vm.Init(parameter));
        }
       
        #region 界面关联事件
        private void btnOK_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                if (this.HasError())
                {
                    //MessageShow.Infomation("请修改错误输入项");
                    return;
                }
            }
            catch (Exception ex)
            {
               // MessageShow.Show(ex);
            }
        }

        private void btnCancel_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
        #endregion
    }
}
